Summary: A database access API for perl
Name: perl-DBI
Version: 1.21
Release: 1.1.legacy
URL: http://dbi.symbolstone.org/
License: Artistic
Group: Applications/Databases
Source: DBI-%{version}.tar.gz
Source2: filter-requires-dbi.sh
Patch0: perl-DBI-tmpfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.1
BuildRequires: perl-Time-HiRes

%description 

DBI is a database access Application Programming Interface (API) for
the Perl Language. The DBI API Specification defines a set of
functions, variables and conventions that provide a consistent
database interface independent of the actual database being used.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep
%setup -q -n DBI-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/.packlist
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBI/DBI.bs


%files 
%defattr(-,root,root)
%doc Changes README ToDo
/usr/bin/*
/usr/lib/perl5/*
%{_mandir}/*/*

%changelog
* Sat Feb 18 2006 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.21-1.1.legacy
- Added fix for CVE-2005-0077

* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.21-1
- 1.21

* Fri Feb  8 2002 Chip Turner <cturner@redhat.com>
- filter out "soft" dependencies: perl(RPC::PlClient) and perl(Win32::ODBC)

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.201-2
- Rebuild

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.201-1
- 1.201

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.20-1
- 1.20
- Proper URL

* Sat Jun 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.18

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.16
- change group to Applications/Databases from Applications/CPAN

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.15

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- build for main distribution
- use %%{_tmppath}
- change name of specfile
- don't use a find script to generate file lists
- general cleanup
- add descriptive summary and description


* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
